### Method

# Gtk IconView get_cell_rect

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_icon_view_get_cell_rect (
      GtkIconView* icon_view,
      GtkTreePath* path,
      GtkCellRenderer* cell,
      GdkRectangle* rect
    )

#### Description [src]

Fills the bounding rectangle in widget coordinates for the cell specified by `path` and `cell`. If `cell` is `NULL` the main cell area is used.

This function is only valid if `icon_view` is realized.

Deprecated since: 4.10

Use `GtkGridView` instead.

#### Parameters

`path`

  Type: `GtkTreePath`

  A `GtkTreePath`.

  The data is owned by the caller of the method.

`cell`

  Type: `GtkCellRenderer`

  A `GtkCellRenderer`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`rect`

  Type: `GdkRectangle`

  Rectangle to fill with cell rect.

  The argument will be set by the function.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

`FALSE` if there is no such item, `TRUE` otherwise.